commit:     4435aa7ed9621c4fe6099270078c3a5e15c846b2
Author:     Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
AuthorDate: Sun May  4 11:56:05 2025 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Sun May  4 12:21:09 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4435aa7e

sys-boot/woeusb-ng: add app-arch/7zip as an alternative

It's just using `7z e` command.
https://github.com/WoeUSB/WoeUSB-ng/blob/18e8918f75af26c0258a5b5f7bdb13acb76611eb/WoeUSB/workaround.py#L100

Closes: https://bugs.gentoo.org/955161
Signed-off-by: Takuya Wakazono <pastalian46 <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/41929
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 .../{woeusb-ng-0.2.12.ebuild => woeusb-ng-0.2.12-r1.ebuild}          | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/sys-boot/woeusb-ng/woeusb-ng-0.2.12.ebuild 
b/sys-boot/woeusb-ng/woeusb-ng-0.2.12-r1.ebuild
similarity index 96%
rename from sys-boot/woeusb-ng/woeusb-ng-0.2.12.ebuild
rename to sys-boot/woeusb-ng/woeusb-ng-0.2.12-r1.ebuild
index c69498f1ff1a..07b0926ba9c2 100644
--- a/sys-boot/woeusb-ng/woeusb-ng-0.2.12.ebuild
+++ b/sys-boot/woeusb-ng/woeusb-ng-0.2.12-r1.ebuild
@@ -22,7 +22,10 @@ IUSE="gui"
 
 RDEPEND="
        !sys-boot/woeusb
-       app-arch/p7zip
+       || (
+               >=app-arch/7zip-24.09[symlink(+)]
+               app-arch/p7zip
+       )
        sys-apps/util-linux
        sys-block/parted
        sys-boot/grub:2

Reply via email to